### Method

# Gimp Item get_children

#### Declaration [src]

    GimpItem**
    gimp_item_get_children (
      GimpItem* item,
      gint* num_children
    )

#### Description [src]

Returns the item’s list of children.

This procedure returns the list of items which are children of the specified item. The order is topmost to bottommost.

Available since: | 2.8
This method is not directly available to language bindings.

#### Parameters

`num_children` | `gint*`
| The item’s number of children.
| The argument will be set by the function.

#### Return value

Returns: | An array of `None`

         The item's list of children.
         The returned value must be freed with g_free().

| The length of the array is in the `num_children` argument.
| The caller of the method takes ownership of the data container, but not the data inside it.